%define upstream_name    Math-Calc-Units
%define upstream_version 1.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Human-readable unit-aware calculator
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/S/SF/SFINK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Pod)
BuildArch:	noarch

# Remove unwanted provide if we have rpm 4.9 or later
%global __provides_exclude ^perl\\(Parse::Yapp::Driver\\)

%description
Human-readable unit-aware calculator

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE README META.yml
%{perl_vendorlib}/Math/Calc/Units*
%{_bindir}/ucalc
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-10.mga8
+ Revision: 1495569
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.70.0-9.mga7
+ Revision: 1269227
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-8.mga6
+ Revision: 1029580
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.70.0-7.mga6
+ Revision: 944439
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-6.mga5
+ Revision: 740955
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.70.0-5.mga5
+ Revision: 735624
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 685352
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-3.mga4
+ Revision: 512821
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 369582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 26533
- mageia rebuild
- imported package perl-Math-Calc-Units

